/****  xfilter.h  ****/


/********************************************************************
`xfilter' implements a simple UNIX filter application where input
and output are X-related data repositories.  It is composed of the
following modules:
	`xfilter.c'		-- widget creation for the top-level interface,
					   plus callbacks and support functions.
	`xfilter.sel.c' -- the ICCCM-based selection and filter routines.
	`xfilter.hlp.t'	-- a module for providing help system text.
	`help.c'		-- a generalized help system.
	`motif.c'		-- OSF/Motif miscellaneous functions.

See these modules for more details.
********************************************************************/


#include <stdio.h>
#include <Xm/Xm.h>
#include <Xm/Label.h>
#include <Xm/Form.h>
#include <Xm/Frame.h>
#include <Xm/PanedW.h>
#include <Xm/PushB.h>
#include <Xm/RowColumn.h>
#include <Xm/SeparatoG.h>
#include <Xm/ScrolledW.h>
#include <Xm/Text.h>
#include <Xm/CutPaste.h>
#include <X11/Xatom.h>
#include <Xm/Protocols.h>


/*
Constants:
*/

#define xfilter_PRIMARY		-100
#define xfilter_CUT_BUFFER	-101
#define xfilter_XCLIPBOARD	-102
#define xfilter_TEXTWIN		-103
#define xfilter_FILE		-104

#define xfilter_APP_CLASS	"XFilter"


/*
Public functions:
*/

extern int get_input_type();
extern int get_output_type();
extern Widget get_input_text_widget();
extern Widget get_output_text_widget();
extern Widget get_filter_text_widget();
extern Widget get_text_win_widget();
extern void user_message();


/*
Public globals:
*/

extern XmStringCharSet char_set;

