/****  xfilter.sel.h  ****/


/********************************************************************
`xfilter' implements a simple UNIX filter application where input
and output are X-related data repositories.  It is composed of the
following modules:
	`xfilter.c'		-- widget creation for the top-level interface,
					   plus callbacks and support functions.
	`xfilter.sel.c' -- the ICCCM-based selection and filter routines.
	`xfilter.hlp.t'	-- a module for providing help system text.
	`help.c'		-- a generalized help system.
	`motif.c'		-- OSF/Motif miscellaneous functions.

See these modules for more details.
********************************************************************/


#include <sys/stat.h>

#include <Xm/CutPaste.h>
#include <X11/Xatom.h>


/*
Public functions:
*/

extern void initialize_selection_structures();
extern void free_selection_structures();
extern int filter_primary_selection();
extern int filter_clipboard_selection();
extern void filter_cut_buffer();
extern void filter_file();
extern int file_size();


/*
Generic external functions:
*/

extern void free();

